﻿/* ==========================================================================
   popup-box necessary styles
   ========================================================================== */

/* Hide scroll bar */

html.popup-box-is-locked {
    overflow: hidden;
}


.popup-box-overlay {
    position: fixed;
    z-index: 9999;
    top: -5000px;
    right: -5000px;
    bottom: -5000px;
    left: -5000px;
    display: none;
}

.popup-box-overlay-block {
    background: rgba(0, 0, 0, 0.6);
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 1000;
    pointer-events: auto;
    -webkit-tap-highlight-color: transparent;
    transition: opacity 0.4s cubic-bezier(0.25, 0.8, 0.25, 1)
}

/* Necessary styles of the wrapper */

.popup-box-wrapper {
    position: fixed;
    z-index: 100005;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    display: none;
    overflow: auto;
    text-align: center;
    -webkit-overflow-scrolling: touch;
}

.popup-box-wrapper.popup-box-is-active {
    display: block;
}

.popup-box-wrapper.full-screen {
    min-height: 100%;
}

.popup-box-wrapper:after {
    display: inline-block;
    height: 100%;
    margin-left: -0.05em;
    content: "";
}

/* Fix iPad, iPhone glitches */

.popup-box-overlay, .popup-box-wrapper {
    -webkit-transform: translateZ(0px);
}

/* Necessary styles of the modal dialog */

.popup-box {
    position: relative;
    display: inline-block;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    width: 100%;
    min-height: 100%;
    padding: 10px;
    text-align: left;
    -webkit-transition: -webkit-transform 0.2s ease-out, opacity 0.2s ease-out;
    -moz-transition: -moz-transform 0.2s ease-out, opacity 0.2s ease-out;
    -o-transition: -o-transform 0.2s ease-out, opacity 0.2s ease-out;
    transition: transform 0.2s ease-out, opacity 0.2s ease-out;
    -webkit-transform: scale(0.95);
    -moz-transform: scale(0.95);
    -ms-transform: scale(0.95);
    -o-transform: scale(0.95);
    transform: scale(0.95);
    opacity: 0;
    background: white;
    background-clip: padding-box;
}

body.popup-box-is-active .popup-box, .popup-box-wrapper.popup-box-is-active .popup-box, .popup-box.is-active {
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    -ms-transform: scale(1);
    -o-transform: scale(1);
    transform: scale(1);
    opacity: 1;
    z-index: 10000;
}

/* Vertical align of the modal dialog */

.popup-box, .popup-box-wrapper:after {
    vertical-align: middle;
}

.popup-box.is-active {
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    -ms-transform: scale(1);
    -o-transform: scale(1);
    transform: scale(1);
    opacity: 1;
}

.popup-box .box-header {
    position: relative;
    width: 100%;
    font-size: 25px;
    color: black;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -o-box-sizing: border-box;
    -ms-box-sizing: border-box;
    border-bottom: 3px solid #4d4d4d;
    line-height: 25px;
    padding-bottom: 5px;
    margin-bottom: 10px;
    text-align: left;
}

.popup-box-wrapper.full-screen .popup-box {
    min-height: 100%;
}

/* Background for effects */

.popup-box-bg {
    -webkit-transition: -webkit-filter 0.2s ease-out;
    -moz-transition: -moz-filter 0.2s ease-out;
    -o-transition: -o-filter 0.2s ease-out;
    transition: filter 0.2s ease-out;
}

body.popup-box-is-active .popup-box-bg, .popup-box-wrapper.popup-box-is-active .popup-box-bg {
    -webkit-filter: blur(3px);
    -ms-filter: blur(3px);
    filter: blur(3px);
    -moz-filter: blur(3px);
    -o-filter: blur(3px);
}

/* Default theme styles of the overlay */

.popup-box-overlay {
    -webkit-transition: opacity 0.2s ease-out;
    -moz-transition: opacity 0.2s ease-out;
    -o-transition: opacity 0.2s ease-out;
    transition: opacity 0.2s ease-out;
    opacity: 0;
    background: rgba(0, 0, 0, 0.8);
}

body.popup-box-is-active .popup-box-overlay, .popup-box-wrapper.popup-box-is-active .popup-box-overlay {
    opacity: 0.8;
}

/* Default theme styles of the modal dialog */

/* Close button */

.popup-box-close {
    width: 21px;
    height: 21px;
    position: absolute;
    right: 0px;
    top: 0;
    margin: auto;
}

/* Media queries
   ========================================================================== */

@media only screen and (min-width: 40.063em)
/* min-width 641px */

    {
    .popup-box {
        min-height: 0;
        margin: 20px auto;
    }
    .popup-box-wrapper.full-screen .popup-box {
        margin: 0px;
    }
}

/* IE8
   ========================================================================== */

.lt-ie9 .popup-box-overlay {
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=#F021242E, endColorstr=#F021242E);
}

.lt-ie9 .popup-box {
    width: 700px;
    min-height: 0;
    margin: 20px auto;
}

.lt-ie9 .popup-box-close:after {
    margin: auto;
    text-align: center;
}

.inner-addon {
    position: relative;
}

/* style glyph */

.inner-addon .icon {
    position: absolute;
    padding: 10px;
    z-index: 10;
}

/* align glyph */

.left-addon .icon {
    left: 0px;
}

.right-addon .icon {
    right: 0px;
    top: -3px;
}

/* add padding  */

.left-addon input {
    padding-left: 30px;
}

.right-addon input {
    padding-right: 30px;
}